@import "~/styles/colors.legacy.scss";
@import "~/styles/fonts.legacy.scss";

.navtab-tab-legacy {
  display: flex;
  flex-direction: row;
  list-style-type: none;
  border: none;
  font-family: $font-family;
  font-size: 12px;
  color: $text-normal;
  background-color: $background0;
  text-align: center;
  text-transform: uppercase;
  letter-spacing: 0.08em;
  white-space: nowrap;
  line-height: 25px;
  margin: 10px;
  margin-right: 0;
  user-select: none;
  cursor: pointer;

  // Nested elements
  .navtab-tab-title {
    height: 100%;
    padding: 6px 25px;
  }

  .navtab-tab-addon {
    display: flex;
    width: 32px;
    justify-content: center;
    align-items: center;
  }

  &:disabled,
  &.navtab-tab-disabled,
  &.navtab-tab-disabled:hover {
    background-color: #2b2b2b !important;
    cursor: not-allowed;
  }

  // Interactions
  &:hover {
    background-color: #646464;
  }

  // Selected status
  &.navtab-tab-selected {
    margin-bottom: 0;

    .navtab-tab-addon {
      margin-bottom: 10px;
    }
  }
}
